
require( "scripts/style.lua" );

kButtonSpacing = 40;
kButtonY = 50;
kButtonX = 600;

function CheckUsers()
	if (GetNumUsers() == 0) then
		gEnterNameValue = "";
		name = DoModal("scripts/entername.lua");
		if (not(name == nil)) then
			CreateNewUser(name);
			return true ;
		end
		
					
		return false ;
			
	else
		return true;
	end
end

function QuitGame()
	CloseWindow();
end

MakeDialog
{
	-- Name the modal dialog
	name="mainmenu",
	MainMenu
	{
		fit=true;
		Bitmap
		{
			name="backgroundimage",
			image="backgrounds/main_menu",

			Text
			{
				font = WelcomeButtonFont,
				name = "welcome",
				x=400,y=500,w=kMax,h=50,
				flags = kHAlignCenter + kVAlignCenter,
				label = "welcome"
			};
			
			SetStyle(ButtonStyle),
			Button
			{
				x=550,
				y=540,
				name="changeplayer",
				label="changeplayer",
				type = kPush,
				command=
					function()
						DoModal("scripts/chooseplayer.lua");
					end
			},
			
			

			SetStyle( MenuNoButtonStyle ),
			MenuButton
			{
				x=-634,
				y=-520,
				name="levelbased",
				
				type = kPush,
				command=
					function()
						if (CheckUsers()) then
							-- Tell TSettings what game mode we're entering
							SetCurrentGameMode(0);
							-- Switch to the appropriate screen
							-- DoModal("scripts/newgame.lua");
							--ShowNewGameWindow();
							DoModal("scripts/levelselect.lua");
						end
					end
			},

			MenuButton
			{
				x=-730,
				y=-410,
				name="endless",
				
				type = kPush,
				command=
					function()
						if (CheckUsers()) then
							-- Tell TSettings what game mode we're entering
							SetCurrentGameMode(1);
							-- Switch to the appropriate screen
							--SwapToModal("scripts/game.lua");
							
							
							--ShowNewGameWindow();
							DoModal("scripts/levelselect.lua");
						end
						
					end
			},

			MenuButton
			{
				x=-650,
				y=-285,
				name="options",
				type = kPush,
				command=
					function()
						DoModal("scripts/options.lua");
					end
			},
			

			MenuButton
			{
				x=-290,
				y=-170,
				name="credits",
				type = kPush,
				command=
					function()
						DoModal("scripts/credits.lua");
					end
			},

			MenuButton
			{
				x=-290,
				y=-200,
				name="highscores",
				type = kPush,
				command=
					function()
						SwapToModal("scripts/hiscore.lua");
					end
			},

			MenuButton
			{
				x=-290,
				y=-140,
				name="quit",
				type = kPush,
				command=
					function()
						result = DisplayDialog {
							"scripts/yesno.lua",
							body ="quitconfirm",
							
						};
						if (result=='yes') then
							PostMessage( CreateNamedMessage( kQuitNow, "Quit" ) );
						end
					end
			},

			
			Button
			{
				x=-740,
				y=-146,
				name="help",
				type = kPush,
				command=
					function()
						DoModal("scripts/help.lua");
					end
			},
		},
	}
}